#
# spec file for package irqd
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           irqd
Version:        0.7.2
Release:        bp153.1.18
Summary:        Multiqueue and RPS-aware IRQ affinity balancer
License:        GPL-2.0
Group:          System/Daemons
Url:            http://github.com/vaesoo/irqd

#Git-Clone:	git://github.com/vaesoo/irqd
Source:         %name-%version.tar.xz
Source3:        irqd.service
Patch1:         irqd-uninitialized.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  libtool
BuildRequires:  systemd-rpm-macros
BuildRequires:  xz
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libnl-route-3.0) >= 3.2

%description
irqd is an alternative IRQ balancer for Linux kernels. It balances
the IRQs more or less evenly across the CPUs you have in your system.

It currently relies on the Receive Packet Steering (RPS)
implementation of newer Linux kernels, it is of less use currently if
RPS is not available.

%prep
%setup -qn %name
%patch -P 1 -p1

%build
if [ ! -e configure ]; then
	./autogen.sh;
fi
%configure
make %{?_smp_mflags}

%install
b="%buildroot";
make install DESTDIR="$b";
mkdir -p "$b/%_unitdir" "$b/%_sbindir"
install -pm0644 "%{S:3}" "$b/%_unitdir/irqd.service";
ln -s service "$b/%_sbindir/rcirqd"

%pre
%service_add_pre irqd.service

%post
%service_add_post irqd.service

%preun
%service_del_preun irqd.service

%postun
%service_del_postun irqd.service

%files
%defattr(-,root,root)
%_unitdir/*
%_sbindir/irqd
%_sbindir/rcirqd
%doc DESIGN README

%changelog
* Tue Mar 17 2015 jengelh@inai.de
- Avoid running irqd in environments where interrupts are
  inherited (rather than virtualized, or real).
* Sun Aug 10 2014 jengelh@inai.de
- Add irqd-uninitialized.diff to address an irqd crash
* Wed Aug  6 2014 jengelh@inai.de
- Update to new upstream release 0.7.2
  * Improve distribution of the "evenly" scheduler
  * cpu: fix handling of busy CPUs if not part of cpuset
* Thu Jan 30 2014 jengelh@inai.de
- Update to new snapshot 0.7.0.g41
  * support for Atheros queue names
  * support for bnx2 queue names
  * support TX-RX queues that are on different IRQs
  (e.g. Intel 82574L)
  * resolve odd queue association for some 10GbE hardware
- Only ship init script for RHEL5,6
* Wed May 29 2013 jengelh@inai.de
- Remove "After=syslog.target" since that is implicit now
  with systemd-202
* Thu Nov 29 2012 jengelh@inai.de
- Update to new upstream release 0.7.0
  * Support for assigning NICs to cpusets
  * Support for Broadom and Intel Gigabit queue names
  * Support for non-RPS
- Snapshot 0.7.0+git14
  * Support for XPS
- Delete 0001-libnl3-compile-fix.diff, 0002-libnl3-link-fix.diff,
  0003-va_list-va_list_NULL-fix.diff (merged upstream)
* Fri Apr 27 2012 joop.boonen@opensuse.org
- Fix for ARM va_list NULL is not allowed.
  Work around via va_list ap creation, so an empty va_list is created.
* Fri Dec 30 2011 jengelh@medozas.de
- Set up conflict between irq.service and irq_balancer.service.
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Wed Sep 14 2011 jengelh@medozas.de
- Initial package for build.opensuse.org
